aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSeongJae Park <sj@kernel.org>2024-04-21 10:33:20 -0700
committerSeongJae Park <sj@kernel.org>2024-04-21 10:34:38 -0700
commit0fd52fa1d0073e0f9ead491957fb395b2fb96acf (patch)
treed9be3bc32affa68953613297aa6a864118441161
parente01101874f2fed449fd05b171d00c8b927c3b275 (diff)
downloaddamon-hack-0fd52fa1d0073e0f9ead491957fb395b2fb96acf.tar.gz
Add a script for checking missed stable commits
Signed-off-by: SeongJae Park <sj@kernel.org>
-rwxr-xr-xstable_commits.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/stable_commits.sh b/stable_commits.sh
new file mode 100755
index 0000000..56d55bf
--- /dev/null
+++ b/stable_commits.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Find commits for stable kernel trees that not merged in appropriate trees
+# yet.
+
+bindir=$(dirname "$0")
+lbx_path=$(realpath "$bindir/../lazybox")
+
+if [ ! -d "$lbx_path" ]
+then
+ echo "lazybox not found at $lbx_path"
+ exit 1
+fi
+
+for tree in 5.15 6.1 6.6 6.8
+do
+ src="v$tree..linus/master"
+ dst="v$tree..stable/linux-$tree.y"
+ echo "src: $src, dst: $dst"
+ echo
+ "$lbx_path/linux_hack/stable_commits_check.py" \
+ --src "$src" --dest "$dst" \
+ --file mm/damon include/linux/damon.h --need_merge
+done